QueryParameterTransformationPolicy

class oci.apigateway.models.QueryParameterTransformationPolicy(**kwargs)

Bases: object

A set of transformations to apply to query parameters that pass through the gateway.

Methods:

__init__(**kwargs)

Initializes a new QueryParameterTransformationPolicy object with values from keyword arguments.

Attributes:

filter_query_parameters

Gets the filter_query_parameters of this QueryParameterTransformationPolicy.

rename_query_parameters

Gets the rename_query_parameters of this QueryParameterTransformationPolicy.

set_query_parameters

Gets the set_query_parameters of this QueryParameterTransformationPolicy.

__init__(**kwargs)

Initializes a new QueryParameterTransformationPolicy object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
property filter_query_parameters

Gets the filter_query_parameters of this QueryParameterTransformationPolicy.

Returns

The filter_query_parameters of this QueryParameterTransformationPolicy.

Return type

oci.apigateway.models.FilterQueryParameterPolicy

property rename_query_parameters

Gets the rename_query_parameters of this QueryParameterTransformationPolicy.

Returns

The rename_query_parameters of this QueryParameterTransformationPolicy.

Return type

oci.apigateway.models.RenameQueryParameterPolicy

property set_query_parameters

Gets the set_query_parameters of this QueryParameterTransformationPolicy.

Returns

The set_query_parameters of this QueryParameterTransformationPolicy.

Return type

oci.apigateway.models.SetQueryParameterPolicy